Bug 815559 - rubygem-pg contains the wrong Provides name
rubygem-pg contains the wrong Provides name
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: rubygem-pg (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 16:51 EDT by Mike McCune
Modified: 2012-05-11 18:03 EDT (History)
1 user (show)

See Also:
Fixed In Version: rubygem-pg-0.12.2-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-11 18:03:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2012-04-23 16:51:24 EDT
the latest update to rubygem-pg has a, AFAIK, broken Provides line:

Provides: rubygem(%{gem_name}) = %{version}

this doesn't match the global defined at the top of the specfile:

%global gemname pg

so you end up with an installed package that shows:

$ rpm -q --provides rubygem-pg
pg_ext.so()(64bit)  
rubygem(%{gem_name}) = 0.12.2
rubygem-pg = 0.12.2-1.el6
rubygem-pg(x86-64) = 0.12.2-1.el6
Comment 1 Vít Ondruch 2012-04-24 02:17:32 EDT
Hi Mike,

That is definitely my fault. Fix is imminent. Thank you for reporting.
Comment 2 Fedora Update System 2012-04-24 02:25:51 EDT
rubygem-pg-0.12.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rubygem-pg-0.12.2-2.el6
Comment 3 Mike McCune 2012-04-25 17:57:43 EDT
thanks for the quick turnaround
Comment 4 Fedora Update System 2012-04-27 02:09:24 EDT
Package rubygem-pg-0.12.2-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing rubygem-pg-0.12.2-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-5670/rubygem-pg-0.12.2-2.el6
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-05-11 18:03:29 EDT
rubygem-pg-0.12.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.